# -*- rpm-spec -*-
# $Id: pilot-link,v 1.26 2002/10/15 17:53:27 ab Exp $
%define force_ac_25 1 
%define prerelease final

Name: pilot-link
Version: 0.11.5
Release: alt3

Summary: File transfer utilities between Linux and PalmPilots
Group: Communications
License: GPL
URL: http://www.gnu-designs.com/pilot-link/

Source: http://www.pilot-link.org/source/%name-%version.tar.bz2
Patch0: %name-pixdir.patch
Patch1:	%name-0.11.5-tcl84-alt.patch
Patch2:	%name-0.11.5-port-alt.patch
Patch3: %name-0.11.5-termcap.patch

Requires: lib%name = %version-%release

BuildRequires: XFree86-devel gcc-c++ libreadline-devel libstdc++-devel tk-devel >= 8.4.0-alt1
%if %force_ac_25
BuildRequires: autoconf_2.5 automake_1.6
%endif

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot.  It has a
few extra utils that will allow for things like syncing the
PalmPilot's calendar app with Ical.  Note that you might still need to
consult the sources for %name if you would like the Python, Tcl,
or Perl bindings.

Install %name if you want to synchronize your Palm with your Operating System.

%package -n lib%name
Summary: Shared libraries to use %name
Group: System/Libraries
License: LGPL

%description -n lib%name
Shared libraries needed to use %name.

%package -n lib%name-devel
Summary: PalmPilot development files
Group: Development/C
License: LGPL
Requires: lib%name = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel

%description -n lib%name-devel
This package contains the header and other files that are necessary to build
applications that use %name suite.

You'll need to install lib%name-devel if you want to develop
PalmPilot synchronizing applications.

%package -n lib%name-devel-static
Summary: PalmPilot development static library
Group: Development/C
License: LGPL
Requires: lib%name-devel = %version-%release
Provides: %name-devel-static = %version-%release
Obsoletes: %name-devel-static

%description -n lib%name-devel-static
This package contains the development static libraries
for building extensions to the %name suite.

%package -n pilot-debug
Summary: Programs to interact with Palm debug monitor.
Group: Development/Other

%description -n pilot-debug
This package contains utilities that provide command line and
graphical interfaces to the Palm debug monitor.

%package examples
Summary: Example programs from the %name bundle
Group: Communications
Requires: %name = %version-%release

%description examples
This package features example programs found in the %name software
distribution.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%add_optflags -DUSE_NON_CONST
# force regeneration of libtool and configure
libtoolize --force --copy
aclocal-1.6
automake-1.6 -c -f -a
autoheader_2.5
autoconf_2.5
%configure --with-tcl --with-tk
%__make all

%install
%makeinstall
# mandir1='$(mandir)/man1' mandir7='$(mandir)/man7' INSTALL="./libtool /usr/bin/install -p"

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files
%_bindir/addresses
%_bindir/dlpsh
%_bindir/hinotes
%_bindir/install-*
%_bindir/memos
%_bindir/money2qif
%_bindir/pi-*
%_bindir/pilot-addresses
%_bindir/pilot-clip
%_bindir/pilot-datebook
%_bindir/pilot-dedupe
%_bindir/pilot-file
%_bindir/pilot-mail
%_bindir/pilot-prc
%_bindir/pilot-schlep
%_bindir/pilot-xfer
%_bindir/read-*
%_bindir/reminders
%_datadir/%name
%_mandir/*/*
%doc ChangeLog README NEWS AUTHORS

%files -n lib%name
%_libdir/libpisock*.so.*
%_libdir/libpisync.so.*

%files -n lib%name-devel
%_datadir/aclocal/*
%_libdir/libpisock.so
%_libdir/libpisync.so
%_libdir/libpisock.la
%_libdir/libpisync.la
%_libdir/libpisock++.so
%_libdir/libpisock++.la
%_includedir/*

%files -n lib%name-devel-static
%_libdir/libpisock.a
%_libdir/libpisync.a
%_libdir/libpisock++.a

%files -n pilot-debug
%_bindir/debugsh
%_bindir/pilot-debug

%files examples
%_bindir/ccexample

%changelog
* Thu Oct 24 2002 AEN <aen@altlinux.ru> 0.11.5-alt3
- added missing libpisock++.so.*

* Thu Oct 24 2002 AEN <aen@altlinux.ru> 0.11.5-alt2
- added missing libpisync.so.*

* Tue Oct 15 2002 Alexander Bokovoy <ab@altlinux.ru> 0.11.5-alt1
- 0.11.5
- new maintainer
- Removed:
    + Tcl, Perl, Python bindings removed due their unmaintained state

* Sat Oct  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.9.5-ipl12mdk
- rebuilt with tcl 8.4

* Thu Jul 18 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.5-ipl11mdk
- Rebuild with terminfo
- Fixed buildrequires

* Fri Jun 14 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.9.5-ipl10mdk
- rebuilt in new env

* Tue Mar 05 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.5-ipl9mdk
- Fixed .libs tcl patch
- Added some MDK patches

* Wed Aug 15 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.5-ipl8mdk
- Fixed file lists - moved some perl programs from pilot-link to perl-PDA-pilot

* Sat Aug 11 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.5-ipl7mdk
- Removed the most ugly Perl hacks
- Moved scripts from perl-PDA-Pilot to the main package
- Segregated pilot-debug and examples
- Corrected pixdir patch
- LGPL license for libraries and bindings
- Explicitly disable python bindings to slash off build dependencies
- Excluded libpitcl development files since no external package would care

* Fri Jun 27 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.5-ipl6mdk
- Release 0.9.5 version
- Added perl patch
- Added perl-PDA-Pilot & pilot-link-tcl packages
- Some spec cleanup
- Fixed buildrequires

* Thu May 17 2001 AEN <aen@logic.ru> 0.9.5-ipl5mdk
- new prerelease

* Sat Jan 27 2001 Dmitry V. Levin <ldv@fandra.org> 0.9.5-ipl2mdk
- Specfile cleanup.
- Relibification.

* Wed Jan 24 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.9.5-ipl1mdk
- Fixed broken build

* Sat Dec 16 2000 AEN <aen@logic.ru>
- adopted for RE

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.3.2mdk
- Rebuild with last stdlibc++
- Split lib package

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.3.1mdk
- Release 0.9.5-pre3

* Tue Oct  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.3-15mdk
- Remove pilot-bug since it is unusefull and bring tcltk dependences.

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-14mdk
- Move perl part to its own package (which was preventing bootstrapping of package)

* Tue Aug 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-13mdk
- merge Alpha diff from Stefan van der Eijk

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-12mdk
- BM + macroszification

* Wed May 17 2000 David BAUENS <baudens@mandrakesoft.com> 0.9.3-11mdk
- Fix build for i486

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.9.3-10mdk
- fix group

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 0.9.3-9mdk
- cleanup
- patch for perl 5.6
- rebuild for new readline

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.9.3-8mdk
- Fix group.

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.3-7mdk
- libtoolize --force.

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Fixes sync-plan
- Fixed spec to build and install perl modules

* Sat Nov  6 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.9.3.
- Fix building as user.
- Rewrote spec.

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS
- %post / %postun: make -p

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- added missing files from devel subpackage

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- move /usr/lib/pix to /usr/lib/pilot-link (dumb, BAD name)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- arm fix

* Fri Sep 24 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, updated package

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated rpm

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated to 0.8.9
- removed explicit requires for /usr/bin/perl
